# pandas.Series.str.get_dummies

Series.str.get_dummies(sep='|')

  Return DataFrame of dummy/indicator variables for Series.

  Each string in Series is split by sep and returned as a DataFrame of dummy/indicator variables.

  Parameters
    sep str, default “|”

      String to split on.

  Returns
    DataFrame

      Dummy variables corresponding to values of the Series.

  See also

  `get_dummies`

    Convert categorical variable into dummy/indicator variables.

  Examples

      >>> pd.Series(['a|b', 'a', 'a|c']).str.get_dummies()
         a  b  c
      0  1  1  0
      1  1  0  0
      2  1  0  1

      >>> pd.Series(['a|b', np.nan, 'a|c']).str.get_dummies()
         a  b  c
      0  1  1  0
      1  0  0  0
      2  1  0  1